Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002808 [JEDI VCL] 00 JVCL Components minor always 2005-03-28 01:39 2005-07-24 11:52
Reporter anonymous View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002808: jvThread CANNOT show Dialog when Start thread again.
Description
procedure TJvThread.CreateThreadDialogForm;
begin
  //if Assigned(ThreadDialog) and Not Assigned(fThreadDialogForm) then
  if Assigned(ThreadDialog) then
    fThreadDialogForm := ThreadDialog.CreateThreadDialogForm (self);
end;
Additional Information
Tags No tags attached.
Attached Files zip file icon JvThread_Exaple.zip [^] (242,663 bytes) 2005-04-12 19:29

- Relationships

-  Notes
(0006787)
obones (administrator)
2005-03-31 07:54

What's the request here ?

What is the component doing, why do you think it is wrong, and what do you propose?
(0006900)
anonymous (viewer)
2005-04-11 23:02

I define a thread to do sth, and I want it may be restart. I know it is restarted, but it's ThreadDialog NOT Showing again, So I Change the source,
Now It is correct.
I donot think orignal source is wrong.
(0006901)
jfudickar (developer)
2005-04-12 00:23

Could you create a small sample for this behaviour?
(0006985)
anonymous (viewer)
2005-04-12 19:31

I have changed the JvThread example of JVCL 3.00 with this behaviour: JvThread_Exaple.zip
(0007001)
jfudickar (developer)
2005-04-13 13:14

Fixed in cvs.

Please test it. I've used a different solution than you. The example is also updated and works now with modal and non-modal dialogs.

Greetings
Jens
(0007102)
jfudickar (developer)
2005-05-02 13:41

Any Feedback please.

- Issue History
Date Modified Username Field Change
2005-03-28 01:39 anonymous New Issue
2005-03-31 07:54 obones Note Added: 0006787
2005-03-31 07:55 obones Status new => feedback
2005-04-11 23:02 anonymous Note Added: 0006900
2005-04-12 00:23 jfudickar Note Added: 0006901
2005-04-12 19:29 anonymous File Added: JvThread_Exaple.zip
2005-04-12 19:31 anonymous Note Added: 0006985
2005-04-13 09:07 jfudickar Status feedback => assigned
2005-04-13 09:07 jfudickar Assigned To => jfudickar
2005-04-13 13:14 jfudickar Note Added: 0007001
2005-04-13 13:14 jfudickar Status assigned => feedback
2005-05-02 13:41 jfudickar Note Added: 0007102
2005-07-24 11:52 jfudickar Status feedback => resolved
2005-07-24 11:52 jfudickar Fixed in Version => 3.00
2005-07-24 11:52 jfudickar Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker